<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
//Este controlador manda a traer las acciones que ayudará a que el módulo realiza sus funciones(Administrador general)
class ProductoR extends CI_Controller
{
	//Constructor que manda a traer las librerias de sesión y validación 
	//Manda a llamar el modelo 
	public function __construct()
	{
		parent::__construct();
		$this->load->model('reportes/Administrador/Productos_Model');
		$this->load->library(array('session','form_validation'));
	}
	//Función principal que valida que el usuario este logueado
	//Manda a traer la vista principal listaProductoAdicionalA_view 
	//Hace la consulta para mostrar todos los productos adicionales
	public function index()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$data['consulta']=$this->db->get('clientes')->result();
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		//$data['ReFranq']=$this->Productos_Model->BuscarFranq();
		$data['ReTipo']=$this->Productos_Model->BuscarTipo();
		$data['ReCat']=$this->Productos_Model->BuscarCategoria();
		$this->load->view('reportes/Administrador/MenuProducto',$data);
		$this->load->view('layout/footer');
		}
	}
// public function buscarporfran(){
// 		if (!$this->session->userdata('Rol_IdRol')){
//       		redirect('acceso/acceso');
//     	} else {
// 		$this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
// 		$this->db->join('tipoproducto','TipoProducto_IdTipoProducto = IdTipoProducto','inner');
// 		$this->db->join('categoria','Categoria_IdCategoria= IdCategoria','inner');
// 		$query = $this->input->get('query', TRUE);
// 		if ($query) {
// 			$result = $this->Productos_Model->buscarporfran(trim($query));
			
// 			if ($result != FALSE){
// 				$data = array(
// 					'result' => $result,
					
// 		);
// 			}else  {
// 				$data = array('result' => '');
// 			}	
// 		}else{
// 			$data = array('result' => '');
// 		}
// 		$this->load->view('layout/header');
// 		$this->load->view('layout/menuAdmin');
// 		$this->load->view('reportes/Administrador/BuscarProducto_view',$data);
// 		$data['ReFranq']=$this->Productos_Model->BuscarFranq();
// 		$this->load->view('layout/footer');
// 	}
// }
//Función que manda a traer la vista buscarProductos_view 
//Hace la busqueda del producto seleccionado
	public function buscarportipo ()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$this->db->select('*');
		$this->db->join('tipoproducto','TipoProducto_IdTipoProducto = IdTipoProducto','inner');
			$this->db->join('categoria','Categoria_IdCategoria= IdCategoria','inner');
		$data = array();
		$query = $this->input->get('query', TRUE);
		if ($query) {
			$result = $this->Productos_Model->buscarportipo(trim($query));
			
			if ($result != FALSE){
				$data = array(
					'result' => $result,			
				);
			}else  {
				$data = array('result' => '');
			}	
		}else{
			$data = array('result' => '');
		}
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('reportes/Administrador/BuscarProducto_view',$data);
		$data['ReTipo']=$this->Productos_Model->BuscarTipo();
		$this->load->view('layout/footer');
		}
	}

	public function buscarporcategoria()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$this->db->select('*');
		$this->db->join('categoria','Categoria_IdCategoria= IdCategoria','inner');
		$data = array();
		$query = $this->input->get('query', TRUE);
		if ($query) {
			$result = $this->Productos_Model->buscarporcategoria(trim($query));
			
			if ($result != FALSE){
				$data = array(
					'result' => $result,			
		);
			}else  {
				$data = array('result' => '');
			}	
		}else{
			$data = array('result' => '');
		}
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('reportes/Administrador/BuscarProducto_view',$data);
		$data['ReCat']=$this->Productos_Model->BuscarCategoria();
		$this->load->view('layout/footer');
		}
	}

	public function buscar()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
			$data = array('result' => '');
		}
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('reportes/Administrador/BuscarProducto_view',$data);
		//$data['ReFranq']=$this->Productos_Model->BuscarFranq();
		$data['ReTipo']=$this->Productos_Model->BuscarTipo();
		$data['ReCat']=$this->Productos_Model->BuscarCategoria();

		$this->load->view('layout/footer');
	}
}